Groovy 1.7.0

## org.codehaus.groovy.runtime.metaclass
Class ThreadManagedMetaBeanProperty.ThreadBoundSetter

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.metaclass.ThreadManagedMetaBeanProperty.ThreadBoundSetter

    class ThreadManagedMetaBeanProperty.ThreadBoundSetter
    extends MetaMethod

Sets the ThreadBound state of the property like a setter

Field Summary

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`ThreadManagedMetaBeanProperty.ThreadBoundSetter(String name)`

Method Summary
`CachedClass` | `getDeclaringClass()`
`int` | `getModifiers()`
`String` | `getName()`
`Class` | `getReturnType()`
`Object` | `invoke(Object object, Object[] arguments)`

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ThreadManagedMetaBeanProperty.ThreadBoundSetter

    public ThreadManagedMetaBeanProperty.ThreadBoundSetter(String name)

Method Detail

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getReturnType

    public Class getReturnType()

### invoke

    public Object invoke(Object object, Object[] arguments)

Copyright © 2003-2009 The Codehaus. All rights reserved.